@import 'https://fonts.googleapis.com/css?family=Quicksand:400,700';
@import 'https://fonts.googleapis.com/css?family=Open+Sans:300';

body {
    margin: 0px;
    padding: 0px;
    height:100%;
    max-height: 100%;
    background-image: url("../img/background.jpg");
    background-size: cover;
    background-repeat: round;
    background-attachment: fixed;
    line-height: 1.25;
    font-family: 'Open Sans', sans-serif;
}

input[type="number"]{
    width:fill;
    text-align: center;
    margin-bottom:5px;
}

input[type="text"]{
    width:fill;
    text-align: center;
}

input[type="button"] {
    -moz-box-shadow:inset 0px 1px 0px 0px #ffffff;
    -webkit-box-shadow:inset 0px 1px 0px 0px #ffffff;
    box-shadow:inset 0px 1px 0px 0px #ffffff;
    background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #ededed), color-stop(1, #dfdfdf));
    background:-moz-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
    background:-webkit-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
    background:-o-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
    background:-ms-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
    background:linear-gradient(to bottom, #ededed 5%, #dfdfdf 100%);
    -moz-border-radius:6px;
    -webkit-border-radius:6px;
    border-radius:6px;
    border:1px solid gray;
    display:inline-block;
}
input[type="button"]:hover {
    background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #cdcdcd), color-stop(1, #afafaf));
    background:-moz-linear-gradient(top, #cdcdcd 5%, #afafaf 100%);
    background:-webkit-linear-gradient(top, #cdcdcd 5%, #afafaf 100%);
    background:-o-linear-gradient(top, #cdcdcd 5%, #afafaf 100%);
    background:-ms-linear-gradient(top, #cdcdcd 5%, #afafaf 100%);
    background:linear-gradient(to bottom, #cdcdcd 5%, #afafaf 100%);
}

input[type="submit"] {
    -moz-box-shadow:inset 0px 1px 0px 0px #ffffff;
    -webkit-box-shadow:inset 0px 1px 0px 0px #ffffff;
    box-shadow:inset 0px 1px 0px 0px #ffffff;
    background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #ededed), color-stop(1, #dfdfdf));
    background:-moz-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
    background:-webkit-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
    background:-o-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
    background:-ms-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
    background:linear-gradient(to bottom, #ededed 5%, #dfdfdf 100%);
    -moz-border-radius:6px;
    -webkit-border-radius:6px;
    border-radius:6px;
    border:1px solid gray;
    display:inline-block;
}
input[type="submit"]:hover {
    background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #cdcdcd), color-stop(1, #afafaf));
    background:-moz-linear-gradient(top, #cdcdcd 5%, #afafaf 100%);
    background:-webkit-linear-gradient(top, #cdcdcd 5%, #afafaf 100%);
    background:-o-linear-gradient(top, #cdcdcd 5%, #afafaf 100%);
    background:-ms-linear-gradient(top, #cdcdcd 5%, #afafaf 100%);
    background:linear-gradient(to bottom, #cdcdcd 5%, #afafaf 100%);
}


select {
    background:url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='50px' height='50px'><polyline points='46.139,15.518 25.166,36.49 4.193,15.519'/></svg>");
    background-color:#3498DB;
    background-repeat:no-repeat;
    background-position: right 5px top 5px;
    background-size: 8px 8px;
    padding:2px 20px 2px 10px;
    text-align:center;
    border-radius:3px;
    -webkit-border-radius:3px;
    -webkit-appearance: none;
    border:1px solid gray;
    outline:0;
    -webkit-transition:0.3s ease all;
    -moz-transition:0.3s ease all;
    -ms-transition:0.3s ease all;
    -o-transition:0.3s ease all;
    transition:0.3s ease all;
}

#full {
    height: 100vh;
    width: 100%;
    margin: 0 auto;
    overflow: hidden;
}

#header {
    height: 15vh;
    margin: 0 auto;
    margin-bottom: 20px;
    display: table;
}

#title {
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 0;
    font-style: 250;
    color: white;
    font-size: 150%;
}

#keckcontainer {
    height: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}
#logo {
    float:left;
    margin-right: 10px;
}
#keck {
    margin-left:10px;
    margin-top: auto;
    margin-bottom: auto;
    color: white;
    font-size: 20px;
}

#container {
    float: left;
    width: 50%;
    height: 100%;
    margin-left: 10px;
}

#echelle {
    height:100%;
    width: 100%;
}
.echellebg {
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto 0 auto 10px;
    height:50vw;
    width:50vw;
    border: 1px solid black;
    position: absolute;
    background-color: rgba(200,200,200,0.5);
}

#marker {
    position: absolute;
    top:0;
    height: 100%;
    width: 1px;
    background-color: cyan;
}

.data {
    color: black;
    padding: 3px;
    background-color: white;
    display: block;
    position: relative;
    text-align: center;
    border-radius: 4px;
    -webkit-box-shadow: 0 30px 30px rgba(0, 0, 0, 0.25);
    box-shadow: 0 30px 30px rgba(0, 0, 0, 0.25);
    padding-top: 10px;
    padding-bottom: 10px;
    width: 75%;
    opacity:1;
    font-size: 14px;
    font-size: 1.25vw;
}

#ui {
    float: right;
    width: 40%;
    height: 100vh;
    display: inline-block;
    margin-right: 10px;
}
#ui-top {
    min-height:30%;
    width: 100%;
}
#ui-bottom {
    margin: 0 auto;
    width: 100%;
    max-height: 50%;
    clear: none;
    margin: auto;
}

.interface {
    clear: none;
    margin: 0 auto;
    width: 45%;
    height: 100%;
}
.d1 {
    display: inline-block;
    float:left;
    height:100%;
    width:40%;
}
.d2 {
    display: inline-block;
    float: left;
    height: 100%;
    width:50%;
}

#spectra {
    display: block;
    width: 50%;
    height: 100%;
    border:none;
    margin-right: 10%;
}

#spectra #spectrumcontainer {
    width:100%;
    height:100%;
    border:none;
}

#spectra #popupcontainer {
    visibility: hidden;
    position:absolute;
    z-index: 10;
    transform: translate(-15%,-50%);
    width:auto;
    /* height:100%; */
    border: none;
}

#popup {
    width: 600px;
    height: 400px;
    border: none;
}

#spectra:hover #popupcontainer {
    visibility: visible;
}

#input {
    margin-left: 15px;
}
#lambdainput {
    width: 75%;
}

#settings {
    width:30%;
    position:relative;
}

#toggle {
    position: absolute;
    transform: translate(-15%,0%);
    padding-left: 10px;
    padding-right: 10px;
    margin-left: 0px;
}

#zoom {
    width: 80%;
}

.settings-item {
    margin-bottom: 10px;
}

.button {
    display: block;
    height: 30px;
    width: 100px;
    background: green;
    text-align: center;
    padding-top: 10px;
    padding-left: 0px;
    font: 15px arial bold;
    border: 1px solid black;
    text-decoration: none;
    list-style:none;
    margin: 10px 0px 10px 0px;
}

.color {
    color: white;
}

.checks {
    font-size: 12px;
    display: inline-block;
    margin: 0 auto;
    line-height:0.5em;
}

.cursor {
    margin: auto;
}

#CursorLambda .cursor {
    margin: 0;
}

#settings select {
    background-color:#dfdfdf;
}
#settings select:hover {
    background-color:#afafaf;
}
select:focus, select:active {
    outline:0;
}

#detector {
    position: absolute;
    -webkit-user-select: none;
    -moz-user-select: none;
    -o-user-select: none;
    -ms-user-select: none;
    -khtml-user-select: none;
    user-select: none;
    display:block;
    z-index: 9;
}

#cur {
    transform: translate(-110%,0);
}

.cut {
    transform: translate(-50%,0);
}

.wavelength {
    background-color: white;
    border-radius: 4px;
    border: 1px solid black;
    font-size: 1.25vw;
    padding: 5px 0;
    /* Position the tooltip text - see examples below! */
    position: absolute;
    margin-right: -40px;
    z-index: 1;
    width:85px;
    text-align: center;
    height: 1em;
    pointer-events: none;
}

.wavelength p{
    text-align: center;
}

.wavelength::after {
    content: " ";
    position: absolute;
    border-width: 5px;
    border-style: solid;
    margin-left:-5px;
}

.tooltip-left {
    right:0;
    left: 100%;
}

.tooltip-left:after, .tooltip-left:before {
	left: 100%;
	top: 50%;
	border: solid transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
}

.tooltip-left:before {
	border-color: rgba(0, 0, 0, 0);
	border-left-color: #000000;
	border-width: 5px;
	margin-top: -5px;
    margin-right: 10px;
}

.tooltip-right {
    left:0;
    right:100%;
    margin-right:-40px;
    margin-left:0;
}

.tooltip-right:before, .tooltip-right:after {
    right: 100%;
    top: 50%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
}
.tooltip-right:before {
    border-color: rgba(0, 0, 0, 0);
    border-right-color: #000000;
    border-width: 5px;
    margin-top: -5px;
}

#cuton {
    bottom: 100%;
    margin-bottom: 10px;
    text-align: center;
    left: 0;
}

#cuton::after {
    top: 100%; /* At the bottom of the tooltip */
    left: 50%;
    border-color: black transparent transparent transparent;
    margin-bottom: 5px;
}

#cutoff {
    top: 100%;
    margin-top: 10px;
    text-align: center;
    left: 100%;
}

#cutoff::after {
    bottom: 100%;  /* At the top of the tooltip */
    left: 50%;
    border-color: transparent transparent black transparent;
    margin-top: 5px;
}

#draggable {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width:50px;
    height:50px;
}

.detectorbox {
    padding:0px;
    width:100%;
    height:100%;
    visibility: hidden;

    text-transform:uppercase;
    font-size: 8px;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown .dropdown-menu {
    position: absolute;
    display: none;
    margin: 0;
    bottom:0;

    list-style: none; /** Remove list bullets */
    width: 100%; /** Set the width to 100% of it's parent */
    padding: 0;
}

.dropdown:hover .dropdown-menu {
    display: block;
}

/** Button Styles **/
.dropdown button {
    /*background: #FF6223;*/
    border: none;
    margin: 0;
    padding: 0.2em 4em;
    font-size: 0.8em;
    font-family: 'Open Sans', sans-serif;
    border-radius:3px;
    -webkit-border-radius:3px;
    -webkit-appearance: none;
    border:1px solid gray;
    background:url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='50px' height='50px'><polyline points='46.139,15.518 25.166,36.49 4.193,15.519'/></svg>");
    background-color:#eaeaea;
    background-repeat:no-repeat;
    background-position: right 0.5em top 0.75em;
    background-size: 8px 8px;
}

/** List Item Styles **/
.dropdown a {
    display: block;
    padding: 1em;
    background-color: #CCCCCC;
    color: #333333;
    font-family: 'Open Sans', sans-serif;
    border-bottom:0;
}

/** List Item Hover Styles **/
.dropdown a:hover {
    background: #BBBBBB;
}

.dropdown ul {
    border-radius:3px;
    -webkit-border-radius:3px;
    -webkit-appearance: none;
    border:1px solid gray;
}

/* context menu */
.context-menu {
    display: none;
    z-index: 1000;
    position: absolute;
    overflow: hidden;
    border: none;
    white-space: nowrap;
    font-family: 'Open Sans', sans-serif;
    background: #FFF;
    color: #333;
    border-radius: 5px;
    list-style-type: none;
    padding:0;
    margin:0;
}

.context-menu li {
    padding: 8px 12px;
    cursor: pointer;
}

.context-menu li:hover {
    background-color: #DEF;
}

.warning {
    position: absolute;
    right:0;
    bottom:0;
    background-color: white;
    border-radius: 0;
    border-top:1px solid black;
    width:100%;
    display:none;
}

.checks p {
    margin-bottom: 0.25em;
}

#zoom-container {
    margin:0;
    padding:0;
}
